package com.StudentServices.MarksService.service;


import com.StudentServices.MarksService.model.StudentMarks;
import com.StudentServices.MarksService.repository.StudentRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class StudentService {

    @Autowired StudentRepository studentRepository;

    ////////////////////////////////////////////////////////////////
    // FEEL FREE TO MODIFY THE FUNCTION RETURN TYPES / NAMES / INPUT PARAMETERS
    ////////////////////////////////////////////////////////////////


    public List<StudentMarks> findAllStudents() {
        return studentRepository.findAll();
    }

    public StudentMarks addStudent(StudentMarks studentMarks) {
        return studentRepository.save(studentMarks);
    }


    public Optional<StudentMarks> getStudentById(String ID) {
        return studentRepository.findById(ID);
    }


    public void updateStudent(StudentMarks studentMarks) {

    }

    public void deleteStudent(StudentMarks studentMarks) { studentRepository.delete(studentMarks); }


}
